Package org.opengis.cite.iso19142.basic

# Class GetPropertyValueTests

java.lang.Object
org.opengis.cite.iso19142.BaseFixture
org.opengis.cite.iso19142.basic.GetPropertyValueTests

public class GetPropertyValueTests extends BaseFixture
Tests the service response to a GetPropertyValue request. The GetPropertyValue operation allows the value of a feature property (or part of the value of a complex feature property) to be retrieved.

See Also:
  - "ISO 19142:2010, cl. 10: GetPropertyValue operation"

- ## Field Summary

  ### Fields inherited from class org.opengis.cite.iso19142.BaseFixture

  `docBuilder, ETS_PKG, featureInfo, featureTypes, reqEntity, rspEntity, supportedBindings, TNS_PREFIX, wfsClient, wfsMetadata, wfsVersion`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetPropertyValueTests()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `(package private) void`
  `addQuery(Document request, QName qName)`
  Adds a simple query element to the request entity.
  `void`
  `buildRequestEntity()`
  Builds a DOM Document node representing the entity body for a GetPropertyValue request.
  `void`
  `getProperty_emptyValueRef(ProtocolBinding binding)`
  If the valueReference is an empty string, an ExceptionReport is expected to contain the error code "InvalidParameterValue".
  `void`
  `getProperty_gmlId(ProtocolBinding binding)`
  Submits a GetPropertyValue request for a known feature type with valueReference="@gml:id".
  `void`
  `setupClassFixture(org.testng.ITestContext testContext)`
  Retrieves the (pre-compiled) WFS schema from the suite fixture.
  `(package private) void`
  `setValueReference(Document entity, String xpath)`
  Sets the valueReference attribute on the request entity.

  ### Methods inherited from class org.opengis.cite.iso19142.BaseFixture

  `addAttributesOnTestFailure, allProtocolsAndFeatureTypes, bindingAndAvailFeatureTypeProductSet, extractBodyAsDocument, getFeatureTypes, getInstantiatedFeatureTypes, getProtocolBindings, initBaseFixture, initParser, setWfsClient`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GetPropertyValueTests

    public GetPropertyValueTests()

- ## Method Details

  - ### setupClassFixture

    @BeforeClass public void setupClassFixture(org.testng.ITestContext testContext)
    Retrieves the (pre-compiled) WFS schema from the suite fixture.
    Parameters:
      `testContext` - The test (group) context.

  - ### buildRequestEntity

    @BeforeMethod public void buildRequestEntity()
    Builds a DOM Document node representing the entity body for a GetPropertyValue request. A minimal XML representation is read from the classpath (at util/GetPropertyValue.xml).

  - ### getProperty_gmlId

    public void getProperty_gmlId(ProtocolBinding binding)
    Submits a GetPropertyValue request for a known feature type with valueReference="@gml:id". The members in the resulting ValueCollection element are expected to contain simple (atomic) text values representing the server-assigned object identifiers (xsd:ID).
    Parameters:
      `binding` - The ProtocolBinding to use.
    See Also:
      - "ISO 19142:2010, cl. 10.2.4.3: GetPropertyValue - valueReference parameter"

  - ### getProperty_emptyValueRef

    public void getProperty_emptyValueRef(ProtocolBinding binding)
    If the valueReference is an empty string, an ExceptionReport is expected to contain the error code "InvalidParameterValue".
    Parameters:
      `binding` - The ProtocolBinding to use.
    See Also:
      - "ISO 19142:2010, cl. 10.4: GetPropertyValue - Exceptions"

  - ### setValueReference

    void setValueReference(Document entity, String xpath)
    Sets the valueReference attribute on the request entity.
    Parameters:
      `entity` - The request entity (wfs:GetPropertyValue).
      `xpath` - A String representing an XPath expression.

  - ### addQuery

    void addQuery(Document request, QName qName)
    Adds a simple query element to the request entity.
    Parameters:
      `request` - The request entity (wfs:GetPropertyValue).
      `qName` - A QName representing the qualified name of a feature type.